<?php
	
	class Cliente {
		
		private $codcliente;
		private $nome;
		private $fantasia;
		private $endereco;
		private $bairro;
		private $cidade;
		private $dataUltVis;
		private $sitUltVis;
		private $dataUltVenda;
		private $codAgrup;
		private $descAgrup;
		private $creditoCliente;
		private $limiteCredito;
		private $motivo;
		private $valor;
		private $data;
		private $nrodiassemvisita;
		private $qtde;
		private $codproduto;
		private $produto;

		public function __construct() {
			$this->setCodcliente("");
			$this->setNome("");
			$this->setFantasia("");
			$this->setEndereco("");
			$this->setBairro("");
			$this->setCidade("");
			$this->setDataUltVis("");
			$this->setSitUltVis("");
			$this->setDataUltVenda("");
			$this->setCodAgrup("");
			$this->setDescAgrup("");
			$this->setCreditoCliente("");
			$this->setLimiteCredito("");
			$this->setMotivo("");
			$this->setValor("");
			$this->setData("");
			$this->getNroDiasSemVisita("");
			$this->setQtde("");
			$this->setCodProduto("");
			$this->setProduto("");
			
		}
		
		public function getCodcliente(){
			return $this->codcliente;
		}

		public function setCodcliente($codcliente){
			$this->codcliente = $codcliente;
		}

		public function getNome(){
			return $this->nome;
		}

		public function setNome($nome){
			$this->nome = $nome;
		}

		public function getFantasia(){
			return $this->fantasia;
		}

		public function setFantasia($fantasia){
			$this->fantasia = $fantasia;
		}

		public function getEndereco(){
			return $this->endereco;
		}

		public function setEndereco($endereco){
			$this->endereco = $endereco;
		}

		public function getBairro(){
			return $this->bairro;
		}

		public function setBairro($bairro){
			$this->bairro = $bairro;
		}

		public function getCidade(){
			return $this->cidade;
		}

		public function setCidade($cidade){
			$this->cidade = $cidade;
		}
		
		public function getDataUltVis(){
			return $this->dataUltVis;
		}

		public function setDataUltVis($dataUltVis){
			$this->dataUltVis = $dataUltVis;
		}

		public function getSitUltVis(){
			return $this->sitUltVis;
		}

		public function setSitUltVis($sitUltVis){
			$this->sitUltVis = $sitUltVis;
		}
	
		public function getDataUltVenda() {
			return $this->dataUltVenda;
		}
		
		public function setDataUltVenda($dataUltVenda) {
			$this->dataUltVenda = $dataUltVenda;
		}
		
		public function getMotivo() {
			return $this->motivo;
		}
		
		public function setMotivo($motivo) {
			$this->motivo = $motivo;
		}
		
		public function getValor() {
			return $this->valor;
		}
		
		public function setValor($valor) {
			$this->valor = $valor;
		}
		
		public function getData() {
			return $this->data;
		}
		
		public function setData($data) {
			$this->data = $data;
		}
		
		public function getNroDiasSemVisita() {
			return $this->nrodiassemvisita;
		}
		
		public function setNroDiasSemVisita($nrodiassemvisita) {
			$this->nrodiassemvisita = $nrodiassemvisita;
		}
		
		public function getNroDiasSemVenda() {
			$ultVis = new DateTime($this->getDataUltVenda());
			$hoje = new DateTime('now');
			$res = round(($hoje->format('U') - $ultVis->format('U')) / (60*60*24));
			if ($res == 0) {
				return "";
			} 
			return $res;
		}
		
		public function getCodAgrup() {
			return $this->codAgrup;
		}
		
		public function setCodAgrup($codAgrup) {
			$this->codAgrup = $codAgrup;
		}
		
		public function getDescAgrup() {
			return $this->descAgrup;
		}
		
		public function setDescAgrup($descAgrup) {
			$this->descAgrup = $descAgrup;
		}
		
		public function getCreditoCliente()  {
			return $this->creditoCliente;
		}
		
		public function setCreditoCliente($creditoCliente) {
			$dados = new Dados();
			$this->creditoCliente = $dados->StrToFloat($creditoCliente);
		}
		
		public function getLimiteCredito() {
			return $this->limiteCredito;
		}
		
		public function setLimiteCredito($limiteCredito) {
			$dados = new Dados();
			$this->limiteCredito = $dados->StrToFloat($limiteCredito);
		}
		
		public function getQtde() {
			return $this->qtde;
		}
		
		public function setQtde($qtde) {
			$this->qtde = $qtde;
		}
		
		public function getCodProduto() {
			return $this->codproduto;
		}
		
		public function setCodProduto($codproduto) {
			$this->codproduto = $codproduto;
		}
		
		public function getProduto() {
			return $this->produto;
		}
		
		public function setProduto($produto) {
			$this->produto = $produto;
		}
	
	}
	
?>